Teams

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

GET

Retrieve teams data freshness

When each project in the organization last received data, broken down by kind of data.

Required API key scopes

organization:read

Path parameters

  • id
    string

Response


Example request

GET /api/organizations/:id/teams/data_freshness
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/organizations/:id/teams/data_freshness/

Example response

Status 200
RESPONSE
{
"results": [
{
"team_id": 0,
"freshness": "never",
"last_data_at": "2019-08-24T14:15:22Z",
"sources": [
{
"data_source": "string",
"last_data_at": "2019-08-24T14:15:22Z"
}
]
}
],
"lookback_days": 0,
"quiet_after_days": 0
}